Avro C#

Public Member Functions | Static Public Member Functions | Properties | List of all members
Avro.AvroDecimal Struct Reference

Represents a big decimal. More...

Inheritance diagram for Avro.AvroDecimal:

## Public Member Functions
| AvroDecimal (double value)
| Initializes a new instance of the AvroDecimal struct from a given double. More...
| AvroDecimal (float value)
| Initializes a new instance of the AvroDecimal struct from a given float. More...
| AvroDecimal (decimal value)
| Initializes a new instance of the AvroDecimal struct from a given decimal. More...
| AvroDecimal (int value)
| Initializes a new instance of the AvroDecimal struct from a given int. More...
| AvroDecimal (long value)
| Initializes a new instance of the AvroDecimal struct from a given long. More...
| AvroDecimal (uint value)
| Initializes a new instance of the AvroDecimal struct from a given unsigned int. More...
| AvroDecimal (ulong value)
| Initializes a new instance of the AvroDecimal struct from a given unsigned long. More...
| AvroDecimal (BigInteger unscaledValue, int scale)
| Initializes a new instance of the AvroDecimal struct from a given BigInteger and a scale. More...
override string | ToString ()
| Converts the current AvroDecimal to a string. More...
T | ToType< T > ()
| Converts the numeric value of the current AvroDecimal to a given type. More...
object IConvertible. | ToType (Type conversionType, IFormatProvider provider)
| Converts the numeric value of the current AvroDecimal to a given type. More...
override bool | Equals (object obj)
| Returns a value that indicates whether the current AvroDecimal and a specified object have the same value. More...
override int | GetHashCode ()
| Returns the hash code for the current AvroDecimal. More...
TypeCode IConvertible. | GetTypeCode ()
| Returns the TypeCode for the current AvroDecimal. More...
bool IConvertible. | ToBoolean (IFormatProvider provider)
| Converts the current AvroDecimal to a boolean. More...
byte IConvertible. | ToByte (IFormatProvider provider)
| Converts the current AvroDecimal to a byte. More...
char IConvertible. | ToChar (IFormatProvider provider)
| Converts the current AvroDecimal to a char. More...
DateTime IConvertible. | ToDateTime (IFormatProvider provider)
| Converts the current AvroDecimal to a DateTime. More...
decimal IConvertible. | ToDecimal (IFormatProvider provider)
| Converts the current AvroDecimal to a decimal. More...
double IConvertible. | ToDouble (IFormatProvider provider)
| Converts the current AvroDecimal to a double. More...
short IConvertible. | ToInt16 (IFormatProvider provider)
| Converts the current AvroDecimal to a short. More...
int IConvertible. | ToInt32 (IFormatProvider provider)
| Converts the current AvroDecimal to an int. More...
long IConvertible. | ToInt64 (IFormatProvider provider)
| Converts the current AvroDecimal to a long. More...
sbyte IConvertible. | ToSByte (IFormatProvider provider)
| Converts the current AvroDecimal to a signed byte. More...
float IConvertible. | ToSingle (IFormatProvider provider)
| Converts the current AvroDecimal to a float. More...
string IConvertible. | ToString (IFormatProvider provider)
| Converts the current AvroDecimal to a string. More...
ushort IConvertible. | ToUInt16 (IFormatProvider provider)
| Converts the current AvroDecimal to an unsigned short. More...
uint IConvertible. | ToUInt32 (IFormatProvider provider)
| Converts the current AvroDecimal to an unsigned int. More...
ulong IConvertible. | ToUInt64 (IFormatProvider provider)
| Converts the current AvroDecimal to an unsigned long. More...
string | ToString (string format, IFormatProvider formatProvider)
| Converts the current AvroDecimal to a string. More...
int | CompareTo (object obj)
| Compares the value of the current AvroDecimal to the value of another object. More...
int | CompareTo (AvroDecimal other)
| Compares the value of the current AvroDecimal to the value of another AvroDecimal. More...
bool | Equals (AvroDecimal other)
| Returns a value that indicates whether the current AvroDecimal has the same value as another AvroDecimal. More...

## Static Public Member Functions
static bool | operator== (AvroDecimal left, AvroDecimal right)
| Implements the operator ==. More...
static bool | operator!= (AvroDecimal left, AvroDecimal right)
| Implements the operator !=. More...
static bool | operator> (AvroDecimal left, AvroDecimal right)
| Implements the operator >. More...
static bool | operator>= (AvroDecimal left, AvroDecimal right)
| Implements the operator >=. More...
static bool | operator< (AvroDecimal left, AvroDecimal right)
| Implements the operator <. More...
static bool | operator<= (AvroDecimal left, AvroDecimal right)
| Implements the operator <=. More...
static bool | operator== (AvroDecimal left, decimal right)
| Implements the operator ==. More...
static bool | operator!= (AvroDecimal left, decimal right)
| Implements the operator !=. More...
static bool | operator> (AvroDecimal left, decimal right)
| Implements the operator >. More...
static bool | operator>= (AvroDecimal left, decimal right)
| Implements the operator >=. More...
static bool | operator< (AvroDecimal left, decimal right)
| Implements the operator <. More...
static bool | operator<= (AvroDecimal left, decimal right)
| Implements the operator <=. More...
static bool | operator== (decimal left, AvroDecimal right)
| Implements the operator ==. More...
static bool | operator!= (decimal left, AvroDecimal right)
| Implements the operator !=. More...
static bool | operator> (decimal left, AvroDecimal right)
| Implements the operator >. More...
static bool | operator>= (decimal left, AvroDecimal right)
| Implements the operator >=. More...
static bool | operator< (decimal left, AvroDecimal right)
| Implements the operator <. More...
static bool | operator<= (decimal left, AvroDecimal right)
| Implements the operator <=. More...
static | operator byte (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to byte. More...
static byte | ToByte (AvroDecimal value)
| Creates a byte from a given AvroDecimal. More...
static | operator sbyte (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to sbyte. More...
static sbyte | ToSByte (AvroDecimal value)
| Creates a sbyte from a given AvroDecimal. More...
static | operator short (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to short. More...
static short | ToInt16 (AvroDecimal value)
| Creates a short from a given AvroDecimal. More...
static | operator int (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to int. More...
static int | ToInt32 (AvroDecimal value)
| Creates an int from a given AvroDecimal. More...
static | operator long (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to long. More...
static long | ToInt64 (AvroDecimal value)
| Creates a long from a given AvroDecimal. More...
static | operator ushort (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to ushort. More...
static ushort | ToUInt16 (AvroDecimal value)
| Creates an ushort from a given AvroDecimal. More...
static | operator uint (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to uint. More...
static uint | ToUInt32 (AvroDecimal value)
| Creates an uint from a given AvroDecimal. More...
static | operator ulong (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to ulong. More...
static ulong | ToUInt64 (AvroDecimal value)
| Creates an ulong from a given AvroDecimal. More...
static | operator float (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to float. More...
static float | ToSingle (AvroDecimal value)
| Creates a float from a given AvroDecimal. More...
static | operator double (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to double. More...
static double | ToDouble (AvroDecimal value)
| Creates a double from a given AvroDecimal. More...
static | operator decimal (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to decimal. More...
static decimal | ToDecimal (AvroDecimal value)
| Creates a decimal from a given AvroDecimal. More...
static | operator BigInteger (AvroDecimal value)
| Performs an explicit conversion from AvroDecimal to BigInteger. More...
static BigInteger | ToBigInteger (AvroDecimal value)
| Creates a BigInteger from a given AvroDecimal. More...
static implicit | operator AvroDecimal (byte value)
| Performs an implicit conversion from byte to AvroDecimal. More...
static implicit | operator AvroDecimal (sbyte value)
| Performs an implicit conversion from sbyte to AvroDecimal. More...
static implicit | operator AvroDecimal (short value)
| Performs an implicit conversion from short to AvroDecimal. More...
static implicit | operator AvroDecimal (int value)
| Performs an implicit conversion from int to AvroDecimal. More...
static implicit | operator AvroDecimal (long value)
| Performs an implicit conversion from long to AvroDecimal. More...
static implicit | operator AvroDecimal (ushort value)
| Performs an implicit conversion from ushort to AvroDecimal. More...
static implicit | operator AvroDecimal (uint value)
| Performs an implicit conversion from uint to AvroDecimal. More...
static implicit | operator AvroDecimal (ulong value)
| Performs an implicit conversion from ulong to AvroDecimal. More...
static implicit | operator AvroDecimal (float value)
| Performs an implicit conversion from float to AvroDecimal. More...
static implicit | operator AvroDecimal (double value)
| Performs an implicit conversion from double to AvroDecimal. More...
static implicit | operator AvroDecimal (decimal value)
| Performs an implicit conversion from decimal to AvroDecimal. More...
static implicit | operator AvroDecimal (BigInteger value)
| Performs an implicit conversion from BigInteger to AvroDecimal. More...

## Properties
BigInteger | UnscaledValue`[get]`
| Gets the unscaled integer value represented by the current AvroDecimal. More...
int | Scale`[get]`
| Gets the scale of the current AvroDecimal. More...

## Detailed Description

Represents a big decimal.

## Constructor & Destructor Documentation

## ◆ AvroDecimal() [1/8]

Avro.AvroDecimal.AvroDecimal | ( | double | value | ) |
| inline

Initializes a new instance of the AvroDecimal struct from a given double.

Parameters

  value | The double value.

## ◆ AvroDecimal() [2/8]

Avro.AvroDecimal.AvroDecimal | ( | float | value | ) |
| inline

Initializes a new instance of the AvroDecimal struct from a given float.

Parameters

  value | The float value.

## ◆ AvroDecimal() [3/8]

Avro.AvroDecimal.AvroDecimal | ( | decimal | value | ) |
| inline

Initializes a new instance of the AvroDecimal struct from a given decimal.

Parameters

  value | The decimal value.

## ◆ AvroDecimal() [4/8]

Avro.AvroDecimal.AvroDecimal | ( | int | value | ) |
| inline

Initializes a new instance of the AvroDecimal struct from a given int.

Parameters

  value | The int value.

## ◆ AvroDecimal() [5/8]

Avro.AvroDecimal.AvroDecimal | ( | long | value | ) |
| inline

Initializes a new instance of the AvroDecimal struct from a given long.

Parameters

  value | The long value.

## ◆ AvroDecimal() [6/8]

Avro.AvroDecimal.AvroDecimal | ( | uint | value | ) |
| inline

Initializes a new instance of the AvroDecimal struct from a given unsigned int.

Parameters

  value | The unsigned int value.

## ◆ AvroDecimal() [7/8]

Avro.AvroDecimal.AvroDecimal | ( | ulong | value | ) |
| inline

Initializes a new instance of the AvroDecimal struct from a given unsigned long.

Parameters

  value | The unsigned long value.

## ◆ AvroDecimal() [8/8]

Avro.AvroDecimal.AvroDecimal | ( | BigInteger | unscaledValue,
|  | int | scale
| ) |  |
| inline

Initializes a new instance of the AvroDecimal struct from a given BigInteger and a scale.

Parameters

  unscaledValue | The double value.
  scale | The scale.

## Member Function Documentation

## ◆ CompareTo() [1/2]

int Avro.AvroDecimal.CompareTo | ( | AvroDecimal | other | ) |
| inline

Compares the value of the current AvroDecimal to the value of another AvroDecimal.

Parameters

  other | The AvroDecimal to compare.

Returns
  A value that indicates the relative order of the AvroDecimal instances being compared.

## ◆ CompareTo() [2/2]

int Avro.AvroDecimal.CompareTo | ( | object | obj | ) |
| inline

Compares the value of the current AvroDecimal to the value of another object.

Parameters

  obj | The object to compare.

Returns
  A value that indicates the relative order of the objects being compared.

Exceptions

  System.ArgumentException | Compare to object must be a BigDecimal - obj.

## ◆ Equals() [1/2]

bool Avro.AvroDecimal.Equals | ( | AvroDecimal | other | ) |
| inline

Returns a value that indicates whether the current AvroDecimal has the same value as another AvroDecimal.

Parameters

  other | The AvroDecimal to compare.

Returns
  true if the current AvroDecimal has the same value as other ; otherwise false.

## ◆ Equals() [2/2]

override bool Avro.AvroDecimal.Equals | ( | object | obj | ) |
| inline

Returns a value that indicates whether the current AvroDecimal and a specified object have the same value.

Parameters

  obj | The object to compare.

Returns
  true if the obj argument is an AvroDecimal object, and its value is equal to the value of the current AvroDecimal instance; otherwise false.

## ◆ GetHashCode()

override int Avro.AvroDecimal.GetHashCode | ( |  | ) |
| inline

Returns the hash code for the current AvroDecimal.

Returns
  The hash code.

## ◆ GetTypeCode()

TypeCode IConvertible. Avro.AvroDecimal.GetTypeCode | ( |  | ) |
| inline

Returns the TypeCode for the current AvroDecimal.

Returns
  The enumerated constant that is the T:System.TypeCode of the class or value type that implements this interface.

## ◆ operator AvroDecimal() [1/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | BigInteger | value | ) |
| inline static

Performs an implicit conversion from BigInteger to AvroDecimal.

Parameters

  value | The BigInteger.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [2/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | byte | value | ) |
| inline static

Performs an implicit conversion from byte to AvroDecimal.

Parameters

  value | The byte byte.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [3/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | decimal | value | ) |
| inline static

Performs an implicit conversion from decimal to AvroDecimal.

Parameters

  value | The decimal.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [4/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | double | value | ) |
| inline static

Performs an implicit conversion from double to AvroDecimal.

Parameters

  value | The double.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [5/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | float | value | ) |
| inline static

Performs an implicit conversion from float to AvroDecimal.

Parameters

  value | The float.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [6/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | int | value | ) |
| inline static

Performs an implicit conversion from int to AvroDecimal.

Parameters

  value | The int.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [7/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | long | value | ) |
| inline static

Performs an implicit conversion from long to AvroDecimal.

Parameters

  value | The long.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [8/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | sbyte | value | ) |
| inline static

Performs an implicit conversion from sbyte to AvroDecimal.

Parameters

  value | The sbyte.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [9/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | short | value | ) |
| inline static

Performs an implicit conversion from short to AvroDecimal.

Parameters

  value | The short.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [10/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | uint | value | ) |
| inline static

Performs an implicit conversion from uint to AvroDecimal.

Parameters

  value | The uint.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [11/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | ulong | value | ) |
| inline static

Performs an implicit conversion from ulong to AvroDecimal.

Parameters

  value | The ulong.

Returns
  An AvroDecimal.

## ◆ operator AvroDecimal() [12/12]

static implicit Avro.AvroDecimal.operator AvroDecimal | ( | ushort | value | ) |
| inline static

Performs an implicit conversion from ushort to AvroDecimal.

Parameters

  value | The ushort.

Returns
  An AvroDecimal.

## ◆ operator BigInteger()

static Avro.AvroDecimal.operator BigInteger | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to BigInteger.

Parameters

  value | The AvroDecimal.

Returns
  A BigInteger.

## ◆ operator byte()

static Avro.AvroDecimal.operator byte | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to byte.

Parameters

  value | The AvroDecimal.

Returns
  A byte.

## ◆ operator decimal()

static Avro.AvroDecimal.operator decimal | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to decimal.

Parameters

  value | The AvroDecimal.

Returns
  A decimal.

## ◆ operator double()

static Avro.AvroDecimal.operator double | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to double.

Parameters

  value | The AvroDecimal.

Returns
  A double.

## ◆ operator float()

static Avro.AvroDecimal.operator float | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to float.

Parameters

  value | The AvroDecimal.

Returns
  A float.

## ◆ operator int()

static Avro.AvroDecimal.operator int | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to int.

Parameters

  value | The AvroDecimal.

Returns
  An int.

## ◆ operator long()

static Avro.AvroDecimal.operator long | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to long.

Parameters

  value | The AvroDecimal.

Returns
  A long.

## ◆ operator sbyte()

static Avro.AvroDecimal.operator sbyte | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to sbyte.

Parameters

  value | The AvroDecimal.

Returns
  A sbyte.

## ◆ operator short()

static Avro.AvroDecimal.operator short | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to short.

Parameters

  value | The AvroDecimal.

Returns
  A short.

## ◆ operator uint()

static Avro.AvroDecimal.operator uint | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to uint.

Parameters

  value | The AvroDecimal.

Returns
  An uint.

## ◆ operator ulong()

static Avro.AvroDecimal.operator ulong | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to ulong.

Parameters

  value | The AvroDecimal.

Returns
  An ulong.

## ◆ operator ushort()

static Avro.AvroDecimal.operator ushort | ( | AvroDecimal | value | ) |
| inline explicit static

Performs an explicit conversion from AvroDecimal to ushort.

Parameters

  value | The AvroDecimal.

Returns
  An ushort.

## ◆ operator!=() [1/3]

static bool Avro.AvroDecimal.operator!= | ( | AvroDecimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator !=.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator!=() [2/3]

static bool Avro.AvroDecimal.operator!= | ( | AvroDecimal | left,
|  | decimal | right
| ) |  |
| inline static

Implements the operator !=.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator!=() [3/3]

static bool Avro.AvroDecimal.operator!= | ( | decimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator !=.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator<() [1/3]

static bool Avro.AvroDecimal.operator< | ( | AvroDecimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator <.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator<() [2/3]

static bool Avro.AvroDecimal.operator< | ( | AvroDecimal | left,
|  | decimal | right
| ) |  |
| inline static

Implements the operator <.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator<() [3/3]

static bool Avro.AvroDecimal.operator< | ( | decimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator <.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator<=() [1/3]

static bool Avro.AvroDecimal.operator<= | ( | AvroDecimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator <=.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator<=() [2/3]

static bool Avro.AvroDecimal.operator<= | ( | AvroDecimal | left,
|  | decimal | right
| ) |  |
| inline static

Implements the operator <=.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator<=() [3/3]

static bool Avro.AvroDecimal.operator<= | ( | decimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator <=.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator==() [1/3]

static bool Avro.AvroDecimal.operator== | ( | AvroDecimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator ==.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator==() [2/3]

static bool Avro.AvroDecimal.operator== | ( | AvroDecimal | left,
|  | decimal | right
| ) |  |
| inline static

Implements the operator ==.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator==() [3/3]

static bool Avro.AvroDecimal.operator== | ( | decimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator ==.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator>() [1/3]

static bool Avro.AvroDecimal.operator> | ( | AvroDecimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator >.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator>() [2/3]

static bool Avro.AvroDecimal.operator> | ( | AvroDecimal | left,
|  | decimal | right
| ) |  |
| inline static

Implements the operator >.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator>() [3/3]

static bool Avro.AvroDecimal.operator> | ( | decimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator >.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator>=() [1/3]

static bool Avro.AvroDecimal.operator>= | ( | AvroDecimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator >=.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator>=() [2/3]

static bool Avro.AvroDecimal.operator>= | ( | AvroDecimal | left,
|  | decimal | right
| ) |  |
| inline static

Implements the operator >=.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ operator>=() [3/3]

static bool Avro.AvroDecimal.operator>= | ( | decimal | left,
|  | AvroDecimal | right
| ) |  |
| inline static

Implements the operator >=.

Parameters

  left | The left.
  right | The right.

Returns
  The result of the operator.

## ◆ ToBigInteger()

static BigInteger Avro.AvroDecimal.ToBigInteger | ( | AvroDecimal | value | ) |
| inline static

Creates a BigInteger from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  A BigInteger.

## ◆ ToBoolean()

bool IConvertible. Avro.AvroDecimal.ToBoolean | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a boolean.

Parameters

  provider | The format provider.

Returns
  true or false, which reflects the value of the current AvroDecimal.

## ◆ ToByte() [1/2]

static byte Avro.AvroDecimal.ToByte | ( | AvroDecimal | value | ) |
| inline static

Creates a byte from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  A byte.

## ◆ ToByte() [2/2]

byte IConvertible. Avro.AvroDecimal.ToByte | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a byte.

Parameters

  provider | The format provider.

Returns
  A byte.

## ◆ ToChar()

char IConvertible. Avro.AvroDecimal.ToChar | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a char.

Parameters

  provider | The format provider.

Returns
  This method always throws an InvalidCastException.

Exceptions

  System.InvalidCastException | Cannot cast BigDecimal to Char.

## ◆ ToDateTime()

DateTime IConvertible. Avro.AvroDecimal.ToDateTime | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a DateTime.

Parameters

  provider | The format provider.

Returns
  This method always throws an InvalidCastException.

Exceptions

  System.InvalidCastException | Cannot cast BigDecimal to DateTime.

## ◆ ToDecimal() [1/2]

static decimal Avro.AvroDecimal.ToDecimal | ( | AvroDecimal | value | ) |
| inline static

Creates a decimal from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  A decimal.

## ◆ ToDecimal() [2/2]

decimal IConvertible. Avro.AvroDecimal.ToDecimal | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a decimal.

Parameters

  provider | The format provider.

Returns
  A decimal.

## ◆ ToDouble() [1/2]

static double Avro.AvroDecimal.ToDouble | ( | AvroDecimal | value | ) |
| inline static

Creates a double from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  A double.

## ◆ ToDouble() [2/2]

double IConvertible. Avro.AvroDecimal.ToDouble | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a double.

Parameters

  provider | The format provider.

Returns
  A double.

## ◆ ToInt16() [1/2]

static short Avro.AvroDecimal.ToInt16 | ( | AvroDecimal | value | ) |
| inline static

Creates a short from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  A short.

## ◆ ToInt16() [2/2]

short IConvertible. Avro.AvroDecimal.ToInt16 | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a short.

Parameters

  provider | The format provider.

Returns
  A short.

## ◆ ToInt32() [1/2]

static int Avro.AvroDecimal.ToInt32 | ( | AvroDecimal | value | ) |
| inline static

Creates an int from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  An int.

## ◆ ToInt32() [2/2]

int IConvertible. Avro.AvroDecimal.ToInt32 | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to an int.

Parameters

  provider | The format provider.

Returns
  An int.

## ◆ ToInt64() [1/2]

static long Avro.AvroDecimal.ToInt64 | ( | AvroDecimal | value | ) |
| inline static

Creates a long from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  A long.

## ◆ ToInt64() [2/2]

long IConvertible. Avro.AvroDecimal.ToInt64 | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a long.

Parameters

  provider | The format provider.

Returns
  A long.

## ◆ ToSByte() [1/2]

static sbyte Avro.AvroDecimal.ToSByte | ( | AvroDecimal | value | ) |
| inline static

Creates a sbyte from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  A sbyte.

## ◆ ToSByte() [2/2]

sbyte IConvertible. Avro.AvroDecimal.ToSByte | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a signed byte.

Parameters

  provider | The format provider.

Returns
  A sbyte.

## ◆ ToSingle() [1/2]

static float Avro.AvroDecimal.ToSingle | ( | AvroDecimal | value | ) |
| inline static

Creates a float from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  A float.

## ◆ ToSingle() [2/2]

float IConvertible. Avro.AvroDecimal.ToSingle | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a float.

Parameters

  provider | The format provider.

Returns
  A float.

## ◆ ToString() [1/3]

override string Avro.AvroDecimal.ToString | ( |  | ) |
| inline

Converts the current AvroDecimal to a string.

Returns
  A string representation of the numeric value.

## ◆ ToString() [2/3]

string IConvertible. Avro.AvroDecimal.ToString | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to a string.

Parameters

  provider | The format provider.

Returns
  A string.

## ◆ ToString() [3/3]

string Avro.AvroDecimal.ToString | ( | string | format,
|  | IFormatProvider | formatProvider
| ) |  |
| inline

Converts the current AvroDecimal to a string.

Parameters

  format | The format.
  formatProvider | The format provider.

Returns
  A string representation of the numeric value.

## ◆ ToType()

object IConvertible. Avro.AvroDecimal.ToType | ( | Type | conversionType,
|  | IFormatProvider | provider
| ) |  |
| inline

Converts the numeric value of the current AvroDecimal to a given type.

Parameters

  conversionType | The type to which the value of the current AvroDecimal should be converted.
  provider | An System.IFormatProvider interface implementation that supplies culture-specific formatting information.

Returns
  An T:System.Object instance of type conversionType conversionType whose value is equivalent to the value of this instance.

Exceptions

  System.OverflowException | The value {UnscaledValue} cannot fit into {conversionType.Name}.

## ◆ ToType< T >()

T Avro.AvroDecimal.ToType< T > | ( |  | ) |
| inline

Converts the numeric value of the current AvroDecimal to a given type.

Template Parameters

  T | The type to which the value of the current AvroDecimal should be converted.

Returns
  A value of type T converted from the current AvroDecimal.

Type Constraints

  T | : | struct |

## ◆ ToUInt16() [1/2]

static ushort Avro.AvroDecimal.ToUInt16 | ( | AvroDecimal | value | ) |
| inline static

Creates an ushort from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  An ushort.

## ◆ ToUInt16() [2/2]

ushort IConvertible. Avro.AvroDecimal.ToUInt16 | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to an unsigned short.

Parameters

  provider | The format provider.

Returns
  An ushort.

## ◆ ToUInt32() [1/2]

static uint Avro.AvroDecimal.ToUInt32 | ( | AvroDecimal | value | ) |
| inline static

Creates an uint from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  An uint.

## ◆ ToUInt32() [2/2]

uint IConvertible. Avro.AvroDecimal.ToUInt32 | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to an unsigned int.

Parameters

  provider | The format provider.

Returns
  An uint.

## ◆ ToUInt64() [1/2]

static ulong Avro.AvroDecimal.ToUInt64 | ( | AvroDecimal | value | ) |
| inline static

Creates an ulong from a given AvroDecimal.

Parameters

  value | The AvroDecimal.

Returns
  An ulong.

## ◆ ToUInt64() [2/2]

ulong IConvertible. Avro.AvroDecimal.ToUInt64 | ( | IFormatProvider | provider | ) |
| inline

Converts the current AvroDecimal to an unsigned long.

Parameters

  provider | The format provider.

Returns
  An ulong.

## Property Documentation

## ◆ Scale

int Avro.AvroDecimal.Scale
| get

Gets the scale of the current AvroDecimal.

The scale.

## ◆ UnscaledValue

BigInteger Avro.AvroDecimal.UnscaledValue
| get

Gets the unscaled integer value represented by the current AvroDecimal.

The unscaled value.

The documentation for this struct was generated from the following file:

- src/apache/main/AvroDecimal.cs